[135620] trunk/dports/gnome/libgnomeprintui
devans at macports.org
devans at macports.org
Mon Apr 27 22:30:49 PDT 2015
Revision: 135620
https://trac.macports.org/changeset/135620
Author: devans at macports.org
Date: 2015-04-27 22:30:49 -0700 (Mon, 27 Apr 2015)
Log Message:
-----------
libgnomeprintui: reconfigure using upstream autogen.sh for intltool 0.51 compatibility.
Modified Paths:
--------------
trunk/dports/gnome/libgnomeprintui/Portfile
Added Paths:
-----------
trunk/dports/gnome/libgnomeprintui/files/
trunk/dports/gnome/libgnomeprintui/files/autogen.sh
Modified: trunk/dports/gnome/libgnomeprintui/Portfile
===================================================================
--- trunk/dports/gnome/libgnomeprintui/Portfile 2015-04-28 05:15:11 UTC (rev 135619)
+++ trunk/dports/gnome/libgnomeprintui/Portfile 2015-04-28 05:30:49 UTC (rev 135620)
@@ -27,7 +27,10 @@
depends_build port:pkgconfig \
port:intltool \
port:gnome-common \
- port:gtk-doc
+ port:gtk-doc \
+ port:autoconf \
+ port:automake \
+ port:libtool
# configure tests for gnome-icon-theme
@@ -36,11 +39,14 @@
port:libgnomecanvas \
port:gnome-icon-theme
-# autoreconf to reconfigure with our intltool.m4
+# reconfigure using upstream autogen.sh for intltool 0.51 compatibility
-use_autoreconf yes
-autoreconf.args -fvi
+post-patch {
+ xinstall -m 755 ${filespath}/autogen.sh ${worksrcpath}
+}
+configure.cmd ./autogen.sh
+
configure.args --enable-compile-warnings=minimum
livecheck.type gnome
Added: trunk/dports/gnome/libgnomeprintui/files/autogen.sh
===================================================================
--- trunk/dports/gnome/libgnomeprintui/files/autogen.sh (rev 0)
+++ trunk/dports/gnome/libgnomeprintui/files/autogen.sh 2015-04-28 05:30:49 UTC (rev 135620)
@@ -0,0 +1,50 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="libgnomeprintui"
+
+(test -f $srcdir/configure.in \
+ && test -f $srcdir/autogen.sh \
+ && test -d $srcdir/libgnomeprintui) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+DIE=0
+
+rm -f .using-gnome-libs-package
+
+# This is a bit complicated here since we can't use gnome-config yet.
+# It'll be easier after switching to pkg-config since we can then
+# use pkg-config to find the gnome-autogen.sh script.
+
+gnome_autogen=
+gnome_datadir=
+
+ifs_save="$IFS"; IFS=":"
+for dir in $PATH ; do
+ test -z "$dir" && dir=.
+ if test -f $dir/gnome-autogen.sh ; then
+ gnome_autogen="$dir/gnome-autogen.sh"
+ gnome_datadir=`echo $dir | sed -e 's,/bin$,/share,'`
+ break
+ fi
+done
+IFS="$ifs_save"
+
+if test -z "$gnome_autogen" ; then
+ echo "You need to install the gnome-common module and make"
+ echo "sure the gnome-autogen.sh script is in your \$PATH."
+ exit 1
+fi
+
+REQUIRED_AUTOMAKE_VERSION=1.7.2 NOCONFIGURE="dont" GNOME_DATADIR="$gnome_datadir" USE_GNOME2_MACROS=1 . $gnome_autogen
+if test -z "$AUTOGEN_SUBDIR_MODE"; then
+ $srcdir/configure --enable-maintainer-mode --enable-gtk-doc --enable-compile-warnings "$@"
+ echo
+ echo "Now type 'make' to compile $PKG_NAME."
+fi
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20150427/fa9e0ae0/attachment.html>
More information about the macports-changes
mailing list